import {PutItemCommandInput} from '@aws-sdk/client-dynamodb';
import {marshall} from '@aws-sdk/util-dynamodb';
import {DDBReadOnlyClientConfiguration} from '../DDBReadOnlyClient';

export const mapCreateItemCommand = <
    Item extends object,
    PKName extends keyof Item,
    SKName extends keyof Item | never = never>(
    config: DDBReadOnlyClientConfiguration<Item, PKName, SKName>,
    item: Item,
): PutItemCommandInput => {
  return {
    TableName: config.tableName,
    Item: marshall(item),
  };
};
